#ifndef GTK_RADIO_ACTION_H
#define GTK_RADIO_ACTION_H

#include <gtk/gtk-toggle-action.h>

#define GTK_TYPE_RADIO_ACTION            (gtk_radio_action_get_type ())
#define GTK_RADIO_ACTION(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), GTK_TYPE_RADIO_ACTION, GtkRadioAction))
#define GTK_RADIO_ACTION_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), GTK_TYPE_RADIO_ACTION, GtkRadioActionClass))
#define GTK_IS_RADIO_ACTION(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GTK_TYPE_RADIO_ACTION))
#define GTK_IS_RADIO_ACTION_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((obj), GTK_TYPE_RADIO_ACTION))
#define GTK_RADIO_ACTION_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj), GTK_TYPE_RADIO_ACTION, GtkRadioActionClass))

typedef struct _GtkRadioAction      GtkRadioAction;
typedef struct _GtkRadioActionClass GtkRadioActionClass;

struct _GtkRadioAction
{
  GtkToggleAction parent;

  GSList *group;
};

struct _GtkRadioActionClass
{
  GtkToggleActionClass parent_class;
};

GType    gtk_radio_action_get_type  (void);

GSList  *gtk_radio_action_get_group (GtkRadioAction *action);
void     gtk_radio_action_set_group (GtkRadioAction *action,
				     GSList *group);

#endif
