#include <gtk/gtk-action.h>

#ifndef GTK_TOGGLE_ACTION_H
#define GTK_TOGGLE_ACTION_H

#define GTK_TYPE_TOGGLE_ACTION            (gtk_toggle_action_get_type ())
#define GTK_TOGGLE_ACTION(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), GTK_TYPE_TOGGLE_ACTION, GtkToggleAction))
#define GTK_TOGGLE_ACTION_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), GTK_TYPE_TOGGLE_ACTION, GtkToggleActionClass))
#define GTK_IS_TOGGLE_ACTION(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GTK_TYPE_TOGGLE_ACTION))
#define GTK_IS_TOGGLE_ACTION_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((obj), GTK_TYPE_TOGGLE_ACTION))
#define GTK_TOGGLE_ACTION_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj), GTK_TYPE_TOGGLE_ACTION, GtkToggleActionClass))

typedef struct _GtkToggleAction      GtkToggleAction;
typedef struct _GtkToggleActionClass GtkToggleActionClass;

struct _GtkToggleAction
{
  GtkAction parent;

  guint active : 1;
};

struct _GtkToggleActionClass
{
  GtkActionClass parent_class;

  void (* toggled) (GtkToggleAction *action);
};

GType    gtk_toggle_action_get_type   (void);

void     gtk_toggle_action_toggled    (GtkToggleAction *action);
void     gtk_toggle_action_set_active (GtkToggleAction *action,
				       gboolean is_active);
gboolean gtk_toggle_action_get_active (GtkToggleAction *action);

#endif
